return {
  'nyngwang/murmur.lua',
  config = function()
    HIGHLIGHT = 'highlight'
    vim.api.nvim_create_augroup(HIGHLIGHT, { clear = true })

    require('murmur').setup {
      cursor_rgb = {
        --guibg = '#393939',
        gui = "underdotted"
      },
      cursor_rgb_always_use_config = true,
      max_len = 80, -- maximum word-length to highlight
      disable_on_lines = 2000, -- to prevent lagging on large files. Default to 2000 lines.
      yank_blink = {
        enabled = true,
        on_yank = nil
      },
      exclude_filetypes = {'log'},
      callbacks = {
        -- -- to trigger the close_events of vim.diagnostic.open_float.
        function ()
          -- Close floating diag. and make it triggerable again.
          vim.api.nvim_exec_autocmds("User", { pattern = "MurmurDiagnostics"})
          vim.w.diag_shown = false
        end,
      }
    }
    -- vim.api.nvim_create_autocmd('CursorHold', {
    --   group = HIGHLIGHT,
    --   pattern = '*',
    --   callback = function ()
    --     -- skip when a float-win already exists.
    --     if vim.w.diag_shown then return end
    --
    --     -- open float-win when hovering on a cursor-word.
    --     if vim.w.cursor_word ~= '' then
    --       vim.diagnostic.open_float({
    --         scope = 'cursor',
    --         close_events = { "InsertEnter", "User MurmurDiagnostics" },
    --       })
    --       vim.api.nvim_create_autocmd("WinClosed", {
    --         group = HIGHLIGHT,
    --         buffer = buf,
    --         once = true,
    --         callback = function() vim.w.diag_shown = false end,
    --       })
    --       vim.w.diag_shown = true
    --     else
    --       vim.w.diag_shown = false
    --     end
    --   end
    -- })
  end
}
